Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
Class ClosureInvokingAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.codehaus.groovy.grails.webflow.engine.builder.ClosureInvokingAction

All Implemented Interfaces:
  groovy.lang.GroovyObject, InitializingBean, org.springframework.webflow.execution.Action

    public class ClosureInvokingAction

extends org.springframework.webflow.action.AbstractAction
implements groovy.lang.GroovyObject

Field Summary

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`ClosureInvokingAction(groovy.lang.Closure callable)`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`Object` | `checkAppContext()`
`Object` | `checkForErrors(Object context, Object scope)`
`protected org.springframework.webflow.execution.Event` | `doExecute(org.springframework.webflow.execution.RequestContext context)`
`Object` | `getApplicationContext()`
`groovy.lang.Closure` | `getCallable()`
`Object` | `getCommandClasses()`
`boolean` | `getHasCommandObjects()`
`groovy.lang.MetaClass` | `getMetaClass()`
`Object` | `getNoOfParams()`
`Object` | `getProperty(String property)`
`Object` | `invokeMethod(String name, Object args)`
`boolean` | `isHasCommandObjects()`
`void` | `setApplicationContext(Object value)`
`void` | `setCallable(groovy.lang.Closure value)`
`void` | `setCommandClasses(Object value)`
`void` | `setHasCommandObjects(boolean value)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setNoOfParams(Object value)`
`void` | `setProperty(String property, Object value)`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, initAction, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClosureInvokingAction

    public ClosureInvokingAction(groovy.lang.Closure callable)

Method Detail

### getCallable

    public groovy.lang.Closure getCallable()

### setCallable

    public void setCallable(groovy.lang.Closure value)

### getCommandClasses

    public Object getCommandClasses()

### setCommandClasses

    public void setCommandClasses(Object value)

### getNoOfParams

    public Object getNoOfParams()

### setNoOfParams

    public void setNoOfParams(Object value)

### getHasCommandObjects

    public boolean getHasCommandObjects()

### isHasCommandObjects

    public boolean isHasCommandObjects()

### setHasCommandObjects

    public void setHasCommandObjects(boolean value)

### getApplicationContext

    public Object getApplicationContext()

### setApplicationContext

    public void setApplicationContext(Object value)

### checkAppContext

    public Object checkAppContext()

### doExecute

    protected org.springframework.webflow.execution.Event doExecute(org.springframework.webflow.execution.RequestContext context)
                                                             throws Exception

  Specified by:
    `doExecute` in class `org.springframework.webflow.action.AbstractAction`
  Throws:
    `Exception`

### checkForErrors

    public Object checkForErrors(Object context,
                                 Object scope)

### invokeMethod

    public Object invokeMethod(String name,
                               Object args)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project